extSoftVersion {base} | R Documentation

## Report Versions of Third-Party Software

### Description

Report versions of (external) third-party software used.

### Usage

    extSoftVersion()

### Details

The reports the versions of third-party software libraries in use. These are often external but might have been compiled into R when it was installed.

With dynamic linking, these are the versions of the libraries linked to in this session: with static linking, of those compiled in.

### Value

A named character vector, currently with components

`zlib` | The version of `zlib` in use.
`bzlib` | The version of `bzlib` (from `bzip2`) in use.
`xz` | The version of `liblzma` (from `xz`) in use.
`PCRE` | The version of `PCRE` in use.
`ICU` | The version of `ICU` in use (if any, otherwise `""`).
`TRE` | The version of `libtre` in use.
`iconv` | The implementation and version of the `iconv` library in use (if known).
`readline` | The version of `readline` in use (if any, otherwise `""`).

Note that the values for `bzlib` and `pcre` normally contain a date as well as the version number, and that for `tre` includes several items separated by spaces, the version number being the second.

For `iconv` this will give the implementation as well as the version, for example `"GNU libiconv 1.14"`, `"glibc 2.18"` or `"win_iconv"` (which has no version number).

### See Also

`libcurlVersion` for the version of `libCurl`.

`La_version` for the version of LAPACK in use.

`grSoftVersion` for third-party graphics software.

`tclVersion` for the version of Tcl/Tk.

`pcre_config` for PCRE configuration options.

### Examples

    extSoftVersion()
    ## the PCRE version
    sub(" .*", "", extSoftVersion()["PCRE"])

[Package base version 3.3.2 Index]